import './layer-legend-item.css';
import { Vue } from 'vue-property-decorator';
import { MapDatasource, IMapLayer, LayerFilter } from '../..';
import { GeojsonPlusLayer } from '../../layers/geojson-plus-layer';
import { LayerLegend } from '@csnext/cs-data';
export declare class LayerLegendItem extends Vue {
    legend?: LayerLegend;
    source?: MapDatasource;
    layer?: GeojsonPlusLayer;
    direction?: string;
    get filter(): LayerFilter | undefined;
    get rules(): (((value: number) => true | "Required.") | ((value: number) => true | "Max") | ((value: number) => true | "Min"))[];
    get step(): string;
    initFilter(layer: IMapLayer, legend: LayerLegend): void;
    resetFilter(layer: IMapLayer): void;
    private applyFilter;
    private removeFilter;
    private getStopColor;
}
